Subject: Re: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Timur Tabi <[email-masked]>
Date: Thu, 05 Jun 2008 12:52:05 -0500

Scott Wood wrote:

> No, it's not.  It can determine that it's at address 0x4f on the i2c bus
> at 0xe0003100.  This is exactly how the ethernet phy lookup is done.

But how does the fabric driver know whether e0003100 is I2C1 or I2C2?

And how does the codec driver, which sees only I2C information, know that it's
at e0003100?

-- 
Timur Tabi
Linux kernel developer at Freescale